Jump to content

Fastloader, UMDEmulator or Devhook?


L.S.D
 Share

Which of the program you like to use to run PSP ISOs?  

6 members have voted

You do not have permission to vote in this poll, or see the poll results. Please sign in or register to vote in this poll.

Recommended Posts

I use fastloader.07

I haven't tried the other 2 choices mostly because I haven't had any problems with fastloader yet.

Link to comment
Share on other sites

Some of the newer games couldn't work on Fastloader, games like Madden, Death Jr. That's why I switch to Devhook. And you don't need to use Wabchanger to change the version if you try to run UMD games that need higher firmware than 1.5. Devhook can accomodate that :D

Edited by L.S.D
Link to comment
Share on other sites

I'll only get it if they rip it down to under 500MB and it's confirmed playable on 1.5 if it confirmed playable on 1.5 I might buy it, I dunno.

from the early reports versionchanger doesn't workwith GTA.

Link to comment
Share on other sites

I'll only get it if they rip it down to under 500MB and it's confirmed playable on 1.5 if it confirmed playable on 1.5 I might buy it, I dunno.

from the early reports versionchanger doesn't workwith GTA.

That is why I suggest DevHook. I have Guilty Gear which requires a 1.52 FW. using Devhook will bypass the upgrade requirement. Very handy when you dun want or cannot use the WAB Version Changer <_<

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...